<?php
/**
 * demo data.
 *
 * config.
 */

add_filter( 'ef3-theme-options-opt-name', 'sonno_set_demo_opt_name' );

function sonno_set_demo_opt_name() {
	return 'spyropress_theme_settings';
}

add_filter( 'ef3-replace-content', 'sonno_replace_content', 10, 2 );
add_filter( 'ef3-enable-create-demo', 'sonno_enable_create_demo' );

function sonno_replace_content($replaces, $attachment){
    return array(
        '/http:\/\/dev\.joomexp\.com\/wordpress\/sq-sonno/' => get_site_url()
    );
}

function sonno_recursive_replace(&$item, $key){
    if($key == 'icon' || $key == 'logo' || $key == 'rich_text' || $key == 'image' || $key == 'html_text'  || $key == 'instance' || $key == 'content' || $key == 'spyropress_logo' || $key == 'template' || $key == 'type' || $key == 'skin' ){
        $item = str_replace('http://dev.joomexp.com/wordpress/sq-sonno', get_site_url(), $item);  
    }
}

add_filter( 'wp_import_post_meta', 'sonno_replace_post_meta', 10, 3);
function sonno_replace_post_meta($post_metas, $post_id, $post){
    $newurl = get_site_url();
    //if($post_id == '307'){ 
        if ( ! empty( $post_metas ) ) {
            foreach ( $post_metas as $k => $meta ) { 
                if ( !empty($meta['key']) ) {
                    if ( $meta['key'] == '_spyropress_builder_data' ) {
                        $value = maybe_unserialize( $meta['value'] );
                        array_walk_recursive($value, 'sonno_recursive_replace'); 
                        $new_value = maybe_serialize( $value );
                        $post_metas[$k] = ['key' => $meta['key'], 'value' => $new_value];
                    } 
                    if ( $meta['key'] == 'slider_slides' ) {
                        $value = maybe_unserialize( $meta['value'] );
                        array_walk_recursive($value, 'sonno_recursive_replace'); 
                        $new_value = maybe_serialize( $value );
                        $post_metas[$k] = ['key' => $meta['key'], 'value' => $new_value];
                    } 
                }
            }
        }
         
    //}
    
    return $post_metas;
}

add_filter( 'ef3_widget_settings', 'sonno_replace_widget_setting',10,1 );
function sonno_replace_widget_setting($widget){
    if(!empty($widget->url)){ 
        $newurl = get_site_url();
        $widget->url = str_replace('http://dev.joomexp.com/wordpress/sq-sonno', $newurl, $widget->url);
    }

    return $widget;
}

add_filter( 'ef3-replace-file-theme-options', 'sonno_replace_theme_options_file',10,1 );
function sonno_replace_theme_options_file($data){
    $site_url = str_replace('/','\/', get_site_url());
    $data = str_replace('http:\/\/dev.joomexp.com\/wordpress\/sq-sonno', $site_url, $data);
    return $data;
}

/**
 * move post to trash
 */
add_action( 'ef3-import-start', 'sonno_move_trash', 1 );
if ( ! function_exists( 'sonno_move_trash' ) ) {
	function sonno_move_trash() {
		wp_trash_post( 1 );
		wp_trash_post( 2 );
	}
}

function sonno_enable_create_demo() {
	return false;
}

function sonno_update_theme_option( $request, $folder ) {
	global $spyropress;
	if ( ! function_exists( 'base64_cpt_decode' ) ) {
		return;
	}
	$option_file = trailingslashit( $folder ) . 'option.php';
	if ( ! $option_file || ! file_exists( $option_file ) ) {
		return;
	}
	include_once( $option_file );
	$data = unserialize( base64_cpt_decode( $dummy_data ) );

	//theme_settings
	$key = 'spyropress_theme_settings';
	update_option( $key, $data );
}

add_action( 'ef3-import-finish', 'sonno_update_theme_option', 99, 2 );
/**
 * Set woo page.
 *
 * get array woo page title and update options.
 *
 * @author Chinh Duong Manh
 * @since 1.0.0
 */
function sonno_set_options_page( $id, $folder_dir ) {
	$opt_pages = array(
		'page_on_front'  => 'Home',
		'page_for_posts' => 'Blog',
	);

	foreach ( $opt_pages as $key => $opt_page ) {
		$page = get_page_by_title( $opt_page );
		if ( ! isset( $page->ID ) ) {
			continue;
		}
		update_option( $key, $page->ID );
	}
}

add_action( 'ef3-import-finish', 'sonno_set_options_page' );

/**
 * Crop image
 */
add_action( 'ef3-import-finish', 'sonno_crop_images', 99 ,2 );
function sonno_crop_images() {
	$query = array(
		'post_type'      => 'attachment',
		'posts_per_page' => - 1,
		'post_status'    => 'inherit',
	);
	$media = new WP_Query( $query );
	if ( $media->have_posts() ) {
		foreach ( $media->posts as $image ) {
			if ( strpos( $image->post_mime_type, 'image/' ) !== false ) {
				$image_path = get_attached_file( $image->ID );
				$metadata   = wp_generate_attachment_metadata( $image->ID, $image_path );
				wp_update_attachment_metadata( $image->ID, $metadata );
			}
		}
	}
} 
